Package org.apache.tomcat.websocket.pojo

## Class PojoEndpointServer

- java.lang.Object
- - javax.websocket.Endpoint
  - - org.apache.tomcat.websocket.pojo.PojoEndpointBase
    - - org.apache.tomcat.websocket.pojo.PojoEndpointServer

    public class PojoEndpointServer
    extends PojoEndpointBase

Wrapper class for instances of POJOs annotated with `ServerEndpoint` so they appear as standard `Endpoint` instances.

### Constructor Summary

Constructors
`PojoEndpointServer​(java.util.Map<java.lang.String,​java.lang.String> pathParameters, java.lang.Object pojo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onOpen​(Session session, EndpointConfig endpointConfig)` Event that is triggered when a new session starts.

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoEndpointBase

`doOnOpen, getMethodMapping, getPojo, onClose, onError, setMethodMapping, setPojo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoEndpointServer

    public PojoEndpointServer​(java.util.Map<java.lang.String,​java.lang.String> pathParameters,
                              java.lang.Object pojo)

### Method Detail

#### onOpen

    public void onOpen​(Session session,
                       EndpointConfig endpointConfig)

Description copied from class: `javax.websocket.Endpoint`
Event that is triggered when a new session starts.

Specified by:
  `onOpen` in class `Endpoint`
Parameters:
  `session` - The new session.
  `endpointConfig` - The configuration with which the Endpoint was configured.